#pragma once

#include "CoreMinimal.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "SurvivorInteractionAnalytics.generated.h"

class ASurvivor;

UCLASS(Blueprintable)
class USurvivorInteractionAnalytics : public UBlueprintFunctionLibrary
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable)
	static void RecordHealSuccess(ASurvivor* survivor);

	UFUNCTION(BlueprintCallable)
	static void RecordHatchEscape(ASurvivor* survivor);

	UFUNCTION(BlueprintCallable)
	static void IncrementHealCount(ASurvivor* survivor);

public:
	USurvivorInteractionAnalytics();
};

FORCEINLINE uint32 GetTypeHash(const USurvivorInteractionAnalytics) { return 0; }
